GCode gcode;
String fileName = "high_helix.gcode";
void setup() {
  size(800, 600, P3D);  
  fill(204, 204);
  gcode = new GCode();

  float radius = 20;
  float a = 0;
  float phase = 0;

  int nLayers = 300;
  float z = 0.1;
  for (int iZ=0; iZ<nLayers; iZ++) {    

    float shrinkage = iZ*0.1;
    z += 0.2;



    

    radius = cos(map(iZ, 0, nLayers, 0, PI/2))*20;
    a = iZ < 3*nLayers/4 ? map(iZ, 0, nLayers, 10, 0) : map(iZ, 0, nLayers, 50, 0);
    phase = (iZ%2) * 24;
    float frequency = iZ < nLayers/2 ? 3 : 10;
    generateWobblyHelix(120, 120, // x,  y 
      radius, radius, // r0, r1
      300, // nSteps
      frequency, // frequency
      a, // amplitude
      phase, // phase
      0, a, // constrainMin, constrainMax
      true, // Absolute
      z, // zHeight 
      0.05 // extruder multiplier
      );
  }

  ambientLight(255, 255, 255);
  lights();
}



void draw() {  
  background(126);

  gcode.draw();
}

void keyReleased() {
  if (key == 'p') gcode.printGCode();
  if (key == 's') gcode.saveGCode(fileName);
}

void mouseWheel(MouseEvent event) {
  float e = event.getCount();
  float multiplier = (keyPressed && keyCode == SHIFT) ?  5 : 1;  
  gcode.cursorIndex += (int)e * multiplier;
}
