function line3d(p0, p1, c0, c1, lineWidth) {
    // use "vertex" to draw two quads that consist of 2 triangles each

    let normal = createVector(p1.y - p0.y, p0.x - p1.x, 0);
    normal.normalize();

    let up = createVector(0.5, 0.5, 0.5);
    up.normalize();

    let crossProduct = p5.Vector.cross(normal, up);
    crossProduct.normalize();

    let hlw = lineWidth / 2;

    let q1t1p0 = p5.Vector.add(p0, p5.Vector.mult(crossProduct, hlw));
    let q1t1p1 = p5.Vector.add(p0, p5.Vector.mult(crossProduct, -hlw));
    let q1t1p2 = p5.Vector.add(p1, p5.Vector.mult(crossProduct, hlw));

    let q1t2p0 = p5.Vector.add(p1, p5.Vector.mult(crossProduct, -hlw));
    let q1t2p1 = p5.Vector.add(p1, p5.Vector.mult(crossProduct, hlw));
    let q1t2p2 = p5.Vector.add(p0, p5.Vector.mult(crossProduct, -hlw));

    let q2t1p0 = p5.Vector.add(p0, p5.Vector.mult(up, hlw));
    let q2t1p1 = p5.Vector.add(p0, p5.Vector.mult(up, -hlw));
    let q2t1p2 = p5.Vector.add(p1, p5.Vector.mult(up, hlw));

    let q2t2p0 = p5.Vector.add(p1, p5.Vector.mult(up, -hlw));
    let q2t2p1 = p5.Vector.add(p1, p5.Vector.mult(up, hlw));
    let q2t2p2 = p5.Vector.add(p0, p5.Vector.mult(up, -hlw));
    

    fill(c0);

    vertex(q1t1p0.x, q1t1p0.y, q1t1p0.z);
    vertex(q1t1p1.x, q1t1p1.y, q1t1p1.z);
    fill(c1);
    vertex(q1t1p2.x, q1t1p2.y, q1t1p2.z);

    vertex(q1t2p0.x, q1t2p0.y, q1t2p0.z);
    vertex(q1t2p1.x, q1t2p1.y, q1t2p1.z);
    fill(c0);
    vertex(q1t2p2.x, q1t2p2.y, q1t2p2.z);

    // vertex(q2t1p0.x, q2t1p0.y, q2t1p0.z);
    // vertex(q2t1p1.x, q2t1p1.y, q2t1p1.z);
    // fill(c1);
    // vertex(q2t1p2.x, q2t1p2.y, q2t1p2.z);

    // vertex(q2t2p0.x, q2t2p0.y, q2t2p0.z);
    // vertex(q2t2p1.x, q2t2p1.y, q2t2p1.z);
    // fill(c0);
    // vertex(q2t2p2.x, q2t2p2.y, q2t2p2.z);



}