
let parentDiv;
let gcode;
let gridBox;
let font;
let gcodeGenerators = [];

function preload() {
    font = loadFont('font.otf');
}

function setup() {
    createCanvas(400, 400, WEBGL).parent('p5-viewport');
    parentDiv = document.getElementById('p5-viewport');
    resizeCanvas(parentDiv.offsetWidth, parentDiv.offsetHeight);

    textFont(font);
    textSize(20);

    setupCommandButtons();
    setupPanes();

    gcode = new GCode();
    gridBox = new GridBox();

    document.getElementById('refresh-visualization').addEventListener('click', readGCode);

    gcodeGenerators.push(new CircleGenerator());
    gcodeGenerators.push(new SquareGenerator());
    gcodeGenerators.push(new HelixGenerator());

    gcodeGenerators.forEach(generator => {
        generator.buildUI('gcode-macros');
    });

    gcodeGenerators.forEach(generator => {
        generator.addEventListener();
    });
}

function readGCode() {
    const gcodeText = document.getElementById('gcode-editor').value;
    gcode.readGCode(gcodeText);
}

function draw() {
    background(220);

    orbitControl(1, 1, 0.1);

    push();
    rotateX(PI / 2);

    push();

    translate(-150, -150);


    fill(255, 0, 0);
    noStroke();
    sphere(10);

    gcode.draw();

    push();
    translate(150, 150);
    gridBox.draw();
    pop();
    pop();
    pop();
}


// if (gcode.boundingBox != undefined) {
//     translate(-(gcode.boundingBox.xRange[1]-gcode.boundingBox.xRange[0])/2, 
//     -(gcode.boundingBox.yRange[0]-gcode.boundingBox.yRange[0])/2);
// }


function windowResized() {
    resizeCanvas(parentDiv.offsetWidth, parentDiv.offsetHeight);
}
