function setupCommandButtons() {
    // Setup

     // Reference to the command list container
     const commandList = document.getElementById('command-list');

     // Define the G-code commands
     commandPalette.forEach(command => {
         command = new GCodeCommand(command);
         commandList.innerHTML += command.toHTML();
     });

    document.querySelectorAll('.addCommand').forEach(button => {
        button.addEventListener('click', (e) => {
            const commandLineElement = e.target.closest('.command-line');
            const command = commandLineElement.getAttribute('data-command');
            const description = commandLineElement.getAttribute('data-description');
            const parameterInputs = commandLineElement.querySelectorAll('.parameter-input');

            let commandString = command;
            parameterInputs.forEach(input => {
                const paramName = input.getAttribute('data-param-name');
                const value = input.value.trim();
                if (value) {
                    commandString += ` ${paramName.toUpperCase()}${value}`;
                }
            });

            commandString += ` ; ${description}`;

            const gcodeEditor = document.getElementById('gcode-editor');
            const cursorPosition = gcodeEditor.selectionStart;
            const textBefore = gcodeEditor.value.substring(0, cursorPosition);
            const textAfter = gcodeEditor.value.substring(cursorPosition);
            gcodeEditor.value = textBefore + commandString + '\n' + textAfter;

            // Move the cursor to the end of the inserted text
            gcodeEditor.selectionStart = gcodeEditor.selectionEnd = cursorPosition + commandString.length + 1; // +1 for the newline character

            // Optionally, focus the gcodeEditor again if it loses focus
            gcodeEditor.focus();
        });
    });
}

function setupPanes() {

    const collapseButtons = document.querySelectorAll('.collapse-btn');

    collapseButtons.forEach(button => {
        button.addEventListener('click', () => {
            const content = button.nextElementSibling;

            if (content.classList.contains('hidden')) {
                content.classList.remove('hidden');
            } else {
                content.classList.add('hidden');
            }
        });
    });
}

function getBaudrate() {
    return parseInt(document.getElementById('baudrate').value);
}