let r0Slider;
let r1Slider;
let nStepsSlider;
let ampSlider;
let freqSlider
let phaseSlider;
let constrainMinSlider;
let constrainMaxSlider;
let absoluteCheckBox;

let canvas;
let ui;
let gcode;
let gcodeOutput;
let generateButton;

let strings;

function generateGCode() {
    strings = gcode.generateGCodeStrings();
    strings.forEach(s => {
        gcodeOutput.html(s + "<br>", true);
    });
}

function setup() {
    canvas = createCanvas(670, 500, WEBGL);
    canvas.parent('viewport');
    gcodeOutput = select('#gcode_output');
    gcode = new GCode();
    lights();
    let nLayers = 100;
    let nSteps = 50;
    for (var iLayer = 0; iLayer < nLayers; iLayer++) {
        for (iStep = 0; iStep < nSteps; iStep++) {
            let vertex = wobblyHelix(iStep, 115, 115, 20, 50, nSteps, 10, 5, 0, -1.0, 1.0, false)
            vertex.z = config.LAYER_START_HEIGHT + config.LAYER_HEIGHT * iLayer;
            gcode.addCommand(new PrintCommand(vertex, config.FLOW_RATE));
        }
    }

    ui = select('#ui');
    button = createButton('Generate GCode');
    button.mousePressed(generateGCode);

    // stroke(0);

    // createSpan('r0:').parent('ui');
    // r0Slider = createSlider(0, 255, 50).parent(ui);
    // createSpan('<br>r1:').parent('ui');
    // r1Slider = createSlider(0, 255, 150).parent(ui);
    // createSpan('<br>nSteps:').parent('ui');
    // nStepsSlider = createSlider(0, 255, 200).parent(ui);
    // createSpan('<br>amplitude:').parent('ui');
    // ampSlider = createSlider(0, 1000, 100).parent(ui);
    // createSpan('<br>freq:').parent('ui');
    // freqSlider = createSlider(0, 1000, 500).parent(ui);
    // createSpan('<br>phase:').parent('ui');
    // phaseSlider = createSlider(0, 1000, 100).parent(ui);
    // createSpan('<br>constrainMin:').parent('ui');
    // constrainMinSlider = createSlider(-100, 100, -100).parent(ui);
    // createSpan('<br>constrainMax:').parent('ui');
    // constrainMaxSlider = createSlider(-100, 100, 100).parent(ui);
    // absoluteCheckBox = createCheckbox('absolute', false).parent(ui);
    // background(255);
    // strokeWeight(2);
}

function draw() {
    background(100);
    gcode.draw();
    // fill(255, 255, 255, 10);
    // rect(0, 0, width, height);
    // var a = 1 / 0;
    // drawHelix(width / 2, height / 2,
    //     r0Slider.value(), r1Slider.value(),
    //     nStepsSlider.value(),
    //     ampSlider.value() / 1000 * 100,
    //     freqSlider.value() / 100 * 2,
    //     phaseSlider.value() / 1000 * 2 * PI,
    //     constrainMinSlider.value() / 100, constrainMaxSlider.value() / 100,
    //     absoluteCheckBox.checked());
}