function wobblyHelix(iStep, cx, cy, r0, r1, nSteps, amplitude, frequency, phase, constrainMin, constrainMax, absolute) {
    let x, y, fi, radius, sineOffset;

    fi = iStep / nSteps * 2 * PI;
    radius = map(iStep, 0, nSteps, r0, r1);
    sineOffset = sin(frequency * fi + phase);
    sineOffset = absolute ? abs(sineOffset) : sineOffset;
    sineOffset *= amplitude;
    sineOffset = constrain(sineOffset, constrainMin * amplitude, constrainMax * amplitude);
    radius += sineOffset;

    x = cx + radius * Math.cos(fi);
    y = cy + radius * Math.sin(fi);

    return createVector(x, y, 0);
}