// A blueprint for a ball.
// A class is creating your own datatype
class Ball {
  // These variables make up a Ball
  float xPosition;
  float yPosition;
  float xVelocity;
  float yVelocity;
  int ballColor;
  float ballDiameter;  

  // The "constructor" is a function that gets called when the class
  // is turned into a variable:
  //    Ball aBall = new Ball()
  Ball() {
    // Initialize ball at random values
    xPosition = random(0, width);
    yPosition = random(0, height);
    xVelocity = random(-5, 5);
    yVelocity = random(-5, 5);
    ballColor = color(random(0, 255), random(0, 255), random(0, 255), 5);
    ballDiameter = random(10, 100);
  }

// This constructor is used to put the ball at a specific 
// position:
//  Ball aBall = new Ball(400, 200, -10, 10) 
  Ball(float xPosition, float y, float vX, float vY) {
    this.xPosition = xPosition;
    yPosition = y;
    xVelocity = vX;
    yVelocity = vY;
    ballDiameter = random(10, 100);
  }

  // Draw the ball as a circle
  void draw() {
    fill(ballColor);
    circle(xPosition, yPosition, ballDiameter);
  }

  // Update the position
  void update() {
    xPosition += xVelocity;
    yPosition += yVelocity;

    // Bounce
    if (xPosition > width || xPosition < 0)
      xVelocity = -xVelocity;

    if (yPosition > height || yPosition < 0)
      yVelocity = -yVelocity;
    
    // Gravity
    yVelocity += 0.5;
  }
}
