var video;
var scanRegion;
var videoSources;
var colorSeries = [];
var bitArray = [];
var inputString = "";
var bitSeries;
var byteSeries;
var clockSeries;
var ipAddress = [];
var link;

function setup() {

  pixelDensity(1);
  createCanvas(400, 400);
  textSize(32);

  scanRegion = new ScanRegion({
    left: 175,
    top: 125,
    size: 50
  });

  colorSeries.push(new TimeSeries(color(255, 0, 0), {
    left: 400,
    top: 0,
    width: 400,
    height: 300 / 3
  }))
  colorSeries.push(new TimeSeries(color(0, 255, 0), {
    left: 400,
    top: 300 / 3,
    width: 400,
    height: 300 / 3
  }))
  colorSeries.push(new TimeSeries(color(0, 0, 255), {
    left: 400,
    top: 2 * 300 / 3,
    width: 400,
    height: 300 / 3
  }))

  bitSeries = new TimeSeries(color(255, 255, 0), {
    top: 300,
    left: 0,
    width: width,
    height: 100
  });
  byteSeries = new TimeSeries(color(255, 0, 255), {
    top: 400,
    left: 0,
    width: width,
    height: 100
  });
  clockSeries = new TimeSeries(color(0, 255, 255), {
    top: 500,
    left: 0,
    width: width,
    height: 100
  });

  background(0);
}

function draw() {

  background(0);
  image(video, 0, 0, 400, 300);

  for (var iComp = 0; iComp < 3; iComp++)
    colorSeries[iComp].push(scanRegion.getMeanRGB(scanRegion)[iComp]);


  // A bit is detected when blue is bigger then red
  colorSeries[1].combine(colorSeries[2], bitSeries, function (a, b) {
    return a < b ? 255 : 0;
  })

  // The clock is determined on the red channel as 1/3rd times it's SD
  clockSeries = colorSeries[0].transform(clockSeries, function (value, info) {
    return value > info.average + info.sd / 3 ? 255 : 0;
  })

  // A byte is determined as a bright flash on the green channel, at 1.5 times its SD
  byteSeries = colorSeries[1].transform(byteSeries, function (value, info) {
    return value > info.average + info.sd * 1.5 ? 255 : 0;
  })

  // A new byte is detected on the rising edge of the byte timeseries
  if (byteSeries.getLastValue(0) > byteSeries.getLastValue(1)) {
    var camByte = 0;

    // Convert all detected bits
    for (var iBit = 0; iBit < 8; iBit++)
      camByte |= bitArray[iBit] << 7 - iBit;

    camByte += 128;
    console.log(camByte);    

    if (camByte == (211)) {
      if (link == undefined)
      link = createA("http://" + inputString, "Go to your ESP8266 webserver: " + inputString);
      else{
      link.html('', false);
      link = createA("http://" + inputString, "Go to your ESP8266 webserver: " + inputString, link);
    }
      inputString = "";          
    }else
      inputString = inputString.concat((camByte) + ".");

    bitArray = [];
  }

  // 
  if (clockSeries.getLastValue(0) < clockSeries.getLastValue(1)) {
    var bit = bitSeries.getLastValue(2) > 0 ? 1 : 0;
    bitArray.push(bit);
  }

  scanRegion.draw();

  //colorSeries.forEach((series) => (series.draw()));
  // bitSeries.draw();
  // clockSeries.draw();
  // byteSeries.draw();

  fill(255, 255, 0);
  text(inputString, 40, 360);
  if (textWidth(inputString) > width - 40)
    inputString = "";

}