# Copy all files to another directory
basePath=/home/bpijls/fabacademy
imagePath=${basePath}/images
rawFilePath=${imagePath}/raw_images
procFilePath=${imagePath}/processed_images
outputPath=${basePath}/bas-pijls/documentation

rm -r -f $procFilePath
mkdir $procFilePath
cp -r ${rawFilePath}/* $procFilePath

# set file properties andd spcify output folder
minimumWidth=970
minimumHeight=500

# convert images
# recursively traverse folder to process images
for f in $(find "$procFilePath" \( -name "*.png"\));
do
    echo Converting $f to JPEG # Show me the status         
    mogrify -format jpg $f #convert the image
    rm $f #delete the old one    
done

# resize images
# recursively traverse folder to process images
for f in $(find $procFilePath -name "*.jpg");
do
    #determine image size
    imageWidth=$(identify -format "%w" "$f")
    imageHeight=$(identify -format "%h" "$f")

    #reduce quality
    echo Compressing $f # Show me the status           
    mogrify -quality 60 $f

    #resize if needed
    if [ "$imageWidth" -gt "$minimumWidth" ] || [ "$imageHeight" -gt "$minimumHeight" ]; then
        echo Resizing $f # Show me the status           
        mogrify -resize ''"$minimumWidth"x"$minimumHeight"'' $f #resize
    fi
    
done

#copy everything to the final output path
cp -r ${procFilePath}/* $outputPath
rm $outputPath/proces_images.sh
#rm -r -f "$procFilePath" 
