#!/bin/bash

boardName=$1
traceFileName="${boardName}-traces.png"
edgeFileName="${boardName}-interior.png"
holeFileName="${boardName}-holes.png"
nRows=$2
nCols=$3
tracePanelFileName="${boardName}-traces-${nRows}x${nCols}.png"
edgePanelFileName="${boardName}-interior-${nRows}x${nCols}.png"
holePanelFileName="${boardName}-holes-${nRows}x${nCols}.png"
nImages=$(($nRows * $nCols))

rm -r ./tmp/*.png

for ((i=0; i<$nImages; i++)); do
   traceOutFileName="./tmp/${i}_${traceFileName}"
   cp $traceFileName $traceOutFileName   

   edgeOutFileName="./tmp/${i}_${edgeFileName}"
   cp $edgeFileName $edgeOutFileName   

   # holeOutFileName="./tmp/${i}_${holeFileName}"
   # cp $holeFileName $holeOutFileName   
done

montage -tile ${nRows}x${nCols} -geometry +0+0 -density 999 ./tmp/*${traceFileName} ${tracePanelFileName}
montage -tile ${nRows}x${nCols} -geometry +0+0 -density 999 ./tmp/*${edgeFileName} ${edgePanelFileName}
# montage -tile ${nRows}x${nCols} -geometry +0+0 -density 999 ./tmp/*${holeFileName} ${holePanelFileName}
