#!/bin/bash

# set up the variables
boardName=$1
traceFileName="${boardName}-F_Cu.svg"
edgeFileName="${boardName}-Edge_Cuts.svg"
edgeFileSize=$(convert -ping ${edgeFileName} -format "%w x %h" info:)

traceOutput="${boardName}-traces.png"
edgeOutput="${boardName}-interior.png"

# Traces
# Convert to png
inkscape -d 1000 -y 255 $traceFileName -o $traceOutput
mogrify -bordercolor white -border 20x20 $traceOutput
# Invert colors
mogrify -channel RGB -negate $traceOutput 

#Outline
#convert to png
inkscape -d 1000 -y 255 $edgeFileName -o $edgeOutput
#invert
mogrify -brightness-contrast 0,100 $edgeOutput
#mogrify -fuzz 30% -fill white -draw "color 300,800 floodfill" $edgeOutput
#mogrify -shave 10x10 $edgeOutput
#mogrify -bordercolor black -border 10x10 $edgeOutput
mogrify -channel RGB -negate $edgeOutput
