let attackLevel = 1.0;
let releaseLevel = 0;

let attackTime = 0.01;
let decayTime = 0.2;
let susPercent = 0.2;
let releaseTime = 0.5;

let polySynth;

let pianoKeys = [];
let chord1, chord2;
const NKEYS = 24;

let chordKeys = [];

let emotionalState;

let lastNotePlayed = 60;

function setup() {
  let cnv = createCanvas(970, 500);
  cnv.parent('piano');
  //cnv.mousePressed(playSynth);

  polySynth = new p5.PolySynth();
  let keyboardRadius = 200;
  let keyboardCenter = {
    x: 2 * width / 3,
    y: height / 2
  };

  for (var iKey = 0; iKey < NKEYS; iKey++) {
    let angle = map(iKey, 0, NKEYS, 0, 2 * Math.PI);
    let keyPosition = {
      x: keyboardCenter.x + keyboardRadius * Math.cos(angle),
      y: keyboardCenter.y + keyboardRadius * Math.sin(angle)
    }

    pianoKey = new PianoKey(48 + iKey, keyPosition, color(255, map(iKey, 0, NKEYS, 50, 200), 100), polySynth);
    pianoKeys.push(pianoKey);
  }

  chord1 = new ChordKey(48, 'M', 0, {
    x: 100,
    y: height / 2
  }, color(100, 100, 200), polySynth);
  chord2 = new ChordKey(48, 'm', 0, {
    x: 150,
    y: height / 2
  }, color(100, 200, 100), polySynth);

  pianoKeys.push(chord1);
  pianoKeys.push(chord2);

  let emotionalStates = [
    "Protagonism", "Outerspace", "Fantastical", "Sadness", "Romantic", "Wonder", "Mystery", "Dramatic", "Danger", "Evil"
  ];

  emotionalState = new StateButton({
    x: 100,
    y: 100
  }, 100, color(200, 0, 200), emotionalStates)
  pianoKeys.push(emotionalState);

  textSize(20);
  textAlign(CENTER);

}

function draw() {
  background(50);

  chord1.rootNote = chord2.rootNote = lastNotePlayed;

  switch (emotionalState.getState()) {
    case "Protagonism":
      chord1.chordType = 'M';
      chord2.chordType = 'M';
      chord2.offset = 2;
      break;
    case "Outerspace":
      chord1.chordType = 'M';
      chord2.chordType = 'M';
      chord2.offset = 6;
      break;
    case "Fantastical":
      chord1.chordType = 'M';
      chord2.chordType = 'M';
      chord2.offset = 8;
      break;
    case "Sadness":
      chord1.chordType = 'M';
      chord2.chordType = 'm';
      chord2.offset = 4;
      break;
    case "Romantic":
      chord1.chordType = 'M';
      chord2.chordType = 'm';
      chord2.offset = 5;
      break;
    case "Wonder":
      chord1.chordType = 'm';
      chord2.chordType = 'M';
      chord2.offset = 5;    
      break;
    case "Mystery":
      chord1.chordType = 'M';
      chord2.chordType = 'm';
      chord2.offset = 2;
      break;
    case "Dramatic":
      chord1.type = 'M';
      chord2.type = 'm';
      chord2.offset = 11;
      break;
    case "Danger":
      chord1.type = 'm';
      chord2.type = 'm';
      chord2.offset = 6;
      break;
    case "Evil":
      chord1.type = 'm';
      chord2.type = 'm';
      chord2.offset = 8;
      break;
  }

  pianoKeys.forEach(pianoKey => pianoKey.update());
  pianoKeys.forEach(pianoKey => pianoKey.draw());

}