class Button {
  constructor(position, diameter, color){
    this.position = position;
      this.color = color;      
      this.diameter = diameter;
      noStroke();
  }

  draw(){
    let diameter = this.isMouseOver() ? this.diameter * 1.2 : this.diameter;
    this.isMouseOver() ? this.color.setAlpha(200) : this.color.setAlpha(255);

    fill(this.color);    
    circle(this.position.x, this.position.y, diameter);  
  }

  update(){
    this.prevMousePressed = mouseIsPressed;      
  }

  isMouseOver() {
    return (dist(mouseX, mouseY, this.position.x, this.position.y) < this.diameter/2);
  }

  isPressed() {
    return (mouseIsPressed && !this.prevMousePressed && this.isMouseOver());      
  }
}

class StateButton extends Button{
  constructor(positiom, diameter, color, textList){
    super(positiom,diameter,color);
    this.textList = textList;
    this.textIndex = 0;
  }

  draw(){
    super.draw();
    fill(255);
    text(this.textList[this.textIndex], this.position.x, this.position.y);
  }

  update(){
    if (super.isPressed()){
      this.textIndex = (this.textIndex + 1) % this.textList.length;
    }
    super.update();
  }

  getState(){
    return this.textList[this.textIndex];
  }
}

class PianoKey extends Button {
  
    constructor(note, position, color, polySynth){
      super(position, 50, color);
      this.note = note;
      this.position = position;
      this.color = color;      
      this.prevMousePressed = false;
      this.playFrames = 50;
      this.polySynth = polySynth;
    }
    
    
    update(){
      let velocity = 0.5;
      let sustain = 0.2;   
      if (this.isPressed()){
          this.polySynth.play(midiToFreq(this.note), velocity, 0.0, sustain);
          lastNotePlayed = this.note;
      }
      this.prevMousePressed = mouseIsPressed;      
    }

}

  class ChordKey extends PianoKey {

    constructor(rootNote, chordType, offset, position, color, polySynth){
      super(rootNote, position, color, polySynth);
      this.rootNote = rootNote;
      this.chordType = chordType;
      this.offset = offset; 
    }

    update(){      
      let secondNote = 0;
      if (this.chordType === 'm') secondNote = 3;
      if (this.chordType === 'M') secondNote = 4;
      let velocity = 0.5;
      let sustain = 1.0;   
      if (this.isPressed()){
          this.polySynth.play(midiToFreq(this.rootNote + this.offset), velocity, 0.0, sustain);
          this.polySynth.play(midiToFreq(this.rootNote + secondNote + this.offset), velocity, 0.0, sustain);
          this.polySynth.play(midiToFreq(this.rootNote + 7 + this.offset), velocity, 0.0, sustain);
        }           
        this.prevMousePressed = mouseIsPressed;      
    }
  }