let video;
let scanRegion;
let videoSources;
let colorSeries = [];
let bitArray = [];
let inputString = "";
let bitSeries;
let byteSeries;
let clockSeries;
let button;
let helloUI;

// This method can be removed after the source ID has been determined.
function gotSources(sources) {
  videoSources = sources;
  for (var i = 0; i !== sources.length; ++i) {
    if (sources[i].kind === 'audioinput') {
      console.log('audio: '+sources[i].label+' ID: '+sources[i].id);
    } else if (sources[i].kind === 'videoinput') {
      console.log('video: '+sources[i].label+' ID: '+sources[i].id);
      console.log(sources[i]);
    } else {
      console.log('Some other kind of source: ', sources[i].kind);
    }
  }
}

function enableVideo(){
  navigator.mediaDevices.enumerateDevices().then(gotSources);

  var constraints = {
    audio: false,
    video: {
      deviceId: "faa7b1fb3a44558de3cdaba8a3df3f9c1650438aaa43b11a10d73b97f83dc6bd"
    }
  };

  //navigator.mediaDevices.enumerateDevices().then(gotSources);
  video = createCapture(constraints);
  video.hide();
  console.log(video);
}

function setup() {
  pixelDensity(1);
  let canvas = createCanvas(800, 360);
    canvas.parent('helloDemo');

    ui = select('#helloUi');

 
  textSize(32);

  var constraints = {
    audio: false,
    video: {
      deviceId: "faa7b1fb3a44558de3cdaba8a3df3f9c1650438aaa43b11a10d73b97f83dc6bd"      
    }
  };

  scanRegion = new ScanRegion({
    left:125,
    top:75,
    size: 50
  });

  colorSeries.push(new TimeSeries(color(255,0,0), {left:400, top:0, width:400, height:60}))
  colorSeries.push(new TimeSeries(color(0,255,0), {left:400, top:60, width:400, height:60}))
  colorSeries.push(new TimeSeries(color(0,0,255), {left:400, top:120, width:400, height:60}))

  bitSeries = new TimeSeries(color(255, 255, 0), {left:400, top:180, width:400, height:60});
  byteSeries = new TimeSeries(color(255, 0, 255), {left:400, top:240, width:400, height:60});
  clockSeries = new TimeSeries(color(0, 255, 255), {left:400, top:300, width:400, height:60});

  background(0);

  
  button = createButton("Enable webcam").parent('helloUI').mousePressed(enableVideo);

}

function draw() {
  
  background(0);

  if (video != undefined)
    image(video, 0, 0, 400, 300);
  else
    text("Webcam not enabled", 30, height/2);

  for (var iComp=0; iComp<3; iComp++)
    colorSeries[iComp].push(scanRegion.getMeanRGB(scanRegion)[iComp]); 
   

  // A bit is detected when blue is bigger then red
  colorSeries[1].combine(colorSeries[2], bitSeries, function(a,b){
    return a < b ? 255 : 0;
  })
  
  // The clock is determined on the red channel as 1/3rd times it's SD
  clockSeries = colorSeries[0].transform(clockSeries, function(value, info){
    return value > info.average + info.sd/3 ? 255 : 0;
  })  
  
  // A byte is determined as a bright flash on the green channel, at 1.5 times its SD
  byteSeries = colorSeries[1].transform(byteSeries, function(value, info){
    return value > info.average + info.sd*1.5 ? 255 : 0;
  })
  
  // A new byte is detected on the rising edge of the byte timeseries
  if (byteSeries.getLastValue(0) > byteSeries.getLastValue(1)){
    var camByte = 0;
    
    // Convert all detected bots
    for (var iBit=0; iBit<8; iBit++)
      camByte |=  bitArray[iBit] << 7-iBit;
    
      if (camByte == 0)
        inputString = "";
        
    var character = String.fromCharCode(camByte);
    inputString = inputString.concat(character);
    bitArray = [];
  }

  // 
  if (clockSeries.getLastValue(0) < clockSeries.getLastValue(1)){
    var bit = bitSeries.getLastValue(2) > 0 ? 1 : 0;
    bitArray.push(bit);
  }

  scanRegion.draw();
  
  colorSeries.forEach((series) => (series.draw()));
  bitSeries.draw();
  clockSeries.draw();
  byteSeries.draw();
  
  fill(255, 255, 0);
  text(inputString, 40, 330);
  if (textWidth(inputString) > width-40)
    inputString = "";

}
