---
title: "Week15: Wildcard week (Vacuum forming)"
date: 2022-05-16T00:40:00+00:00
image: "images/week15.jpg"
author: "Bas Pijls"
tags: []
categories: ["assignments"]
draft: false
toc: true
p5: true
---

## Introduction

I have always been fond of 3d printing not merely as a way to produce an end result but to create models that would act as an in-between step in order to create something else. Therefore I wanted to explore the technique of vacuum forming. We don't have a vacuum former in the lab at de Waag but, according to many people on youtube, it shouldn't be too hard to make your own. I was particularly inspired by the instructions from the [Punished Props channel](https://www.youtube.com/watch?v=Gx66mS7U2vY).

If it all works I want to use this method to perhaps make molds from 3d printed objects for casting.

## Make

The DIY vacuum former is basically a wooden box with lots of holes on top and a large hole on the side for a vacuum cleaner. A plastic sheet is heated up in an oven to get it to deform and when it deforms it is quickly placed on an object that is placed on the top of the box. 

### Bill of materials

For the box and frame:

|Article|Amount|
|-|-|
|140mmx2500mm spruce wood plank| 1x |
|15x15mm aluminum angle profile| 2x|
|10mmx3mm flat top bolt| 32x|
|3mm nut| 32x|
|Wood screws| lots|
|[Silicone kit](https://www.action.com/nl-nl/p/spectrum-siliconenkit/)| 1x|

For the vacuum forming I used: 
- [NiceDay](https://artoffice.ie/product/niceday-a4-write-on-transparency-film/) overhead transparencies of unknown  material. (Spoiler: it didn't work)
- [paper binder clips](https://www.hema.nl/vrije-tijd-kantoor/school-kantoor/bureau-accessoires/overige-bureauaccessoires/16-pak-paperclips-14822277.html?utm_campaign=vrije%20tijd%20en%20kantoor%20%3E%20schoolspullen%20en%20kantoorartikelen%20%3E%20bureau%20accessoires%20%3E%20overige%20bureau%20accessoires&utm_content=14822277&utm_source=beslist&utm_medium=comparison&utm_term=BESLI1637eeb6-eb09-455c-967b-9e7027d7e083~Kantoorartikelen%20%3E%20Kantoorbenodigdheden&bl3nlclid=1637eeb6-eb09-455c-967b-9e7027d7e083)


### Tools

To make the box and the frame I used:

- Jigsaw
- Disc sander
- 3mm drill with countersink attachment
- 2mm drill
- hacksaw

For the vacuum forming process itself I used a [snack-toaster](https://www.blokker.nl/tomado-snackoven-tm-5530/1119563.html) I had lying around to eventually use as a reflow soldering oven and a cheap [shop-vacuum](https://www.bol.com/nl/nl/p/as-stofzuiger-as-zuiger-varo-1200w-200-liter-met-hepa-filter-voor-openhaard-of-barbecue/9300000027626733/?Referrer=ADVNLPPcef05f0081d7ba8c0065bba51d001002937&utm_source=1002937&utm_medium=Affiliates&utm_campaign=CPS&utm_content=txl) cleaner.

### Design

Even though the design is very simple, I still took the time to draw the box and the frame in Fusion360, because I don't trust myself when it comes to accurate dimensions. The size of the box was based on the size of the frame, which was based on the size of the snack-toaster oven. The height of the box was based on the type of spruce wooden plank I procured.

|![](design_sizeof_grill.jpg)|
|:-:|
|The size of the grill that came with the toaster oven was helpful for determining the dimensions of the box.|

|![](design_handrawn.jpg)|![](fusion_box_dimensions.jpg)|
|:-:|:-:|
|First a hand drawn sketch.| Also in fusion, to be sure to get the dimensions right,|

|![](fusion_box_dimensions.jpg)|
|:-:|
|The dimensions of the box and frame|

For the holes on the of of the box I needed a template.

|![](rhino_hole_template.jpg)|
|:-:|
|I used Rhino to make and print the template for the holes|

The density of holes is high because I figured that many holes would distribute the vacuum more evenly, preventing molten plastic from being sucked in the holes.

## Production

Making the box was basically an entire Sunday of measuring, marking, sawing, drilling, screwing, kitting and testing.

|![](make_jigsaw.jpg)|
|:-:|
|The entire box was made of spruce wood planks, cut to size|

|![](make_box_finished.jpg)|
|:-:|
|All the box parts were screwed together. The seams were coated with a thick layer of silicone kit to prevent air from leaking through any gaps and diminishing the vacuum.|

|![](make_drill_vacuum_hole.jpg)|
|:-:|
|A hole was made on the side to snugly fit the end of the vacuum cleaner|

|<video controls loop> <source src="marking_holes.mp4" type="video/mp4"></video>|
|:-:|
|Using the template, I tediously marked all the holes for the top of the box|

|![](final_box_vacuum.jpg)|![](make_testing_vacuum.jpg)|
|:-:|:-:|
|To better fit the vacuum hose I wrapped it in duct-tape| Quickly testing the vacuum. A piece of paper was sucked to the surface so effectively I could pull on it horizontally and drag the box along|

A double frame was made to hold a sheet of plastic in the oven.

|![](make_mark_frame.jpg)|![](make_mark_holes.jpg)|
|:-:|:-:|
|Aluminum angle profiles were marked and cut to size| Metal angle pieces were used to create a frame|

## Results

After finishing the frame and the box it wad ready for testing.

### Using overhead transparencies

|![](test_setup.jpg)|
|:-:|
|Putting the plastic in the oven. I moved the whole setup outside as to not inhale any toxic vapours coming from the plastic|

The instructions told me to wait until the plastic started to sag in the oven. I gambled on using overhead transparencies because these are so widely available. It turned out these were of the wrong kind of plastic that is not thermo-deformable at all.

|![](test_failed_plastic.jpg)|
|:-:|
|The plastic I used shrunk, got holes and deformed irregularly. Eventually it git brittle and started to crack. Overhead transperencies are definitely not the correct material to use for vacuum forming.|

I am going to acquire plastic materials that will deform properly when heated. Probably polypropylene.

### Using Aluminum foil

Still, I have great confidence in this setup. I tested it with some aluminum foil and, although it didn't give as good a result as with proper plastic, I could clearly see great detail in the result. Even some of the layer lines of the 3d print were indented in the foil.

|<video controls loop> <source src="aluminum_testing.mp4" type="video/mp4"></video>|
|:-:|
|Testing with aluminum foil gives me confidence that this setup will work."

### Using Polypropylene

Eventually I bought a large sheet of [polypropylene](https://www.kunststofshop.nl/polypropeen/polypropeen-folie/opaal-wit-en-zwart/polypropeen-folie-wit-mat-1070-n16-1400x1000x0-5mm/a-3718-20000053).

|![](black_poly_clips.jpg)|![](black_poly_bake.jpg)|
|:-:|:-:|
|I cut a piece to size and clipped in in the frame| It fit neatly in the oven|

It turns out the material melts way faster than I expected.

|<video controls loop> <source src="black_poly_goo.mp4" type="video/mp4"></video>|
|:-:|
|The polypropylene got too liquid too fast and leaked all over the heating elements in the toaster oven. I was glad I did the experiment outside|

I was faster at the second try.

|<video controls loop> <source src="black_poly_success.mp4" type="video/mp4"></video>|
|:-:|
|I was very happy with the result. The 3d printer part came free from the sheet very easily. The next step would be to use this imprint as a mold.|

## Files

- [Template for holes in Rhino](../../../../vacuumformer/hole_template.3dm)
- [Fusion360 design](../../../../vacuumformer/vacuumformerv1.f3d)
- [Magic fish](../../../../molding/magic_fish.stl)