---
title: "Week16: Application and Implication"
date: 2022-05-25T00:40:00+00:00
image: "images/week16.jpg"
author: "Bas Pijls"
tags: []
categories: ["assignments"]
draft: false
toc: true
p5: true
---

## The Importance of Playing Music

Listening to and creating music has been associated with many benefits for human well being. Neurologist, dr. [Oliver Sacks](https://www.youtube.com/watch?v=Oswz2UuwFp4) has written books about the benefits of music for patients with neural impairments. Music has been found to have (https://journals.sagepub.com/doi/abs/10.2307/3399574?journalCode=mejc) and engaging with music has also been found to be [beneficial for motor development](https://www.bio-conferences.org/articles/bioconf/abs/2011/01/bioconf_skills_00022/bioconf_skills_00022.html).

In [many cultures](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4321137/pdf/rstb20140096.pdf) musical development is seen as an important part of a child's education. In some cultures, playing a musical instrument is an activity that is enjoyed by all members of society. While music enjoyment is at an all-time high do to its accessibility through digital platforms, in many parts of the world, music education institutions are [on the decline](https://eenvandaag.avrotros.nl/item/de-muziekschool-dreigt-te-verdwijnen/#:~:text=In%20minder%20dan%20tien%20jaar,er%20flink%20bezuinigd%20op%20muziekonderwijs.) for quite some time.

Composing music and coming up with new tunes is a skill that mostly emerges when one has first learned how to play an instrument. But learning how to play an instrument is a daunting task. Most classical instruments have a steep learning curve, motorically and musically. It's accepted that some instruments, such as the violin or the trumpet, take a long time to learn because brian and muscles need to adapt to complicated movement coordination patterns. But even with a straightforward instrument like the piano it takes years of diligent practice to master playing in any form to produce a pleasing composition. 

Pianos offer the entire range of degrees of freedom that is offered by the Western chromatic scale. Even though in many musical compositions, some of the notes on the piano keyboard are not used because they don't play wel with the composition of the piece that is played.

## De Feib

To let more people enjoy playing and composing western music I propose to design and make an instrument that limits the degrees of freedom that the player has in such a way that it helps the player playing and composing music.

For the type of limitations the device will draw from years of cultural conditioning by modern pop music and Hollywood film music. The instrument allows the player to choose an emotion and the instrument limits the notes that can be played to play well next to the chords that are associated with the chosen emotion.

The keyboard will be split in two parts, a chord part, played with the left hand, and a note part, played with the right hand. Both keyboards will be circular. The chord keyboard consists of four keys that allow compositions to be played with a maximum of four chords. The circular arrangement of the keys will help the player in perceiving the chord progression as a little musical "story" in which the progression always ends at the "home" chord, such as Benjamin Zander describes in his [TED talk from 2008](https://www.youtube.com/watch?v=r9LCwI5iErE).

The right keyboard is also circular, helping the player think in terms of scales and octaves. The keys will represent two octaves, where the corresponding keys of each octave are placed opposite to each other so they can easily be found.

The keyboard will support after-touch, a feature that enables the player to change the timbre of the played music by putting more pressure on the keys after the keys are pressed.

[Child development benefits]
[Cross-cultural perspectives on music and musicality]()

## Prior art

There are a lot of experimental midi keyboards but not many are designed to help players compose music. 

An instrument that severely limits the degrees of freedom of a player is the [Radio Baton](https://www.youtube.com/watch?v=3ZOzUVD4oLg) designed and made by Bell Labs engineer Max Mathews. The instrument allows the player to control the way a pre-existing piece of music is played.

An instrument with a similar goal, making playing music more accessible, is the [Dato DUO](https://dato.mu/). A synthesizer that is supposed to be played by two persons. The dato has a sequencer that allows the player to compose simple tunes.

Another instrument that has a different layout to help players is the [Linnstrument](https://www.rogerlinndesign.com/linnstrument). 

A fairly recent experimental keyboard is the [Soma Terra](https://somasynths.com/terra/) 

Most experimental keyboard designs also support playing and composing experimental music. De Feib is an instrument that is experimental in form but should produce non-experimental music.

## Production

### Parts
De Feib is going to be made from a stack of lasercut pieces of plywood.

The electronics will be centered around a collection of platforms:
- A central microcontrollers that calculated the chords and handles the menus, based on an ESP32
- Three boards based on an Attiny1614 that will handle all the keys and the pressure sensors
- A board based on the SAMD11C that will act as an I2C to USB-MIDI translator.

Pressure sensors are made using carbon foam, commonly used to antistatically store sensitive electronic parts.

The keys are made from existing arcade buttons which are modified to support RGB lighting from within.

RGB lighting is achieved with WS2812 RGB LEDs

All parts will communicated on a single I2C bus.

A single, small I2C OLED display is used to display the settings and the status of the device. Two rotary encoders, each at the center of each keyboard, will be used to control the state of the device, selecting the mood and selecting the "root note".

#### Bill of Materials

##### Main Board ESP8266
||Designator|Package|#|Designation|Supplier and ref|$|
|:-:|-|-|-|-|-|-|
|1|"R1,R4,R3,R2,R5"|R_1206|5|10kΩ|[RC1206FR-0710KL](https://www.digikey.com/en/products/detail/yageo/RC1206FR-0710KL/728483)|0.01|
|2|SW1|Button_CnK_PTS636.0_6x3.5mm|1|Reset|[PTS636 SM25F](https://www.digikey.com/en/products/detail/c-k/PTS636-SM25F-SMTR-LFS/10071742)|0.15|
|3|U1|ESP-12E|1|ESP-12F|[ESP12F](https://www.tinytronics.nl/shop/en/communication-and-signals/wireless/wi-fi/modules/esp8266-wifi-module-esp-12f-4mb)|5|
|4|SW2|Button_CnK_PTS636.0_6x3.5mm|1|Program|[PTS636 SM25F](https://www.digikey.com/en/products/detail/c-k/PTS636-SM25F-SMTR-LFS/10071742)|0.15|
|5|J1|PinHeader_2x03_P2.54mm_Vertical_SMD|1|I2C_3V3|[95278-101-04LF](https://www.digikey.com/en/products/detail/amphenol-icc-fci/95278-101-04LF/1534787)|0.3|
|6|C1|C_1206|1|1uF|[C3216X7R1H105K160AB](https://www.digikey.com/en/products/detail/tdk-corporation/C3216X7R1H105K160AB/569049)|0.07|
|7|J2|PinHeader_1x02_P2.54mm_Horizontal_SMD|1|PinHeader_1x02|[GBC36SGSN-M89](https://www.digikey.com/en/products/detail/sullins-connector-solutions/GBC36SGSN-M89/862355)|0.05|

##### Tone board
||Designator|Package|#|Designation|Supplier and ref|$|Σ$|
|-|-|-|-|-|-|-|-|
|1|"J4,J1,J6"|PinHeader_2x02_P2.54mm_Vertical_SMD|3|PinHeader_2x02|[S9012E-02-ND](https://www.digikey.nl/en/products/detail/sullins-connector-solutions/GRPB022VWQS-RC/1786411)|0.|3|3|0.99|
|2|"R1,R2"|R_1206|2|10kΩ|[RC1206FR-0710KL](https://www.digikey.nl/en/products/detail/yageo/RC1206FR-0710KL/728483)|0.01|0.02|
|3|U1|SOIC-20_7.5x12.8mm_P1.27mm|1|Microcontroller_ATtiny3216-SFR|[ATTINY3226-SU](https://www.digikey.nl/en/products/detail/microchip-technology/ATTINY3226-SU/15520405)|1.3|1.3|
|5|"R3,R4"|R_1206|2|4k7Ω|[RC1206FR-074R99L](https://www.digikey.nl/en/products/detail/yageo/RC1206FR-0710KL/728483)|0.01|0.02|
|6|J5|PinHeader_2x03_P2.54mm_Vertical_SMD|1|PinHeader_2x03|[95278-101-04LF](https://www.digikey.nl/en/products/detail/amphenol-icc-fci/95278-101-04LF/1534787)|0.4|0.4|
|7|J2|PinHeader_2x04_P2.54mm_Vertical_SMD|1|PinHeader_2x04|[609-6529-ND](https://www.digikey.nl/en/products/detail/amphenol-icc-fci/20021121-00010T1LF/4243614)|0.5|0.5|
|8|R5|R_1206|1|0Ω|[RC1206FR-070RL](https://www.digikey.nl/en/products/detail/yageo/RC1206FR-070RL/5698945)|0.01|0.01|

##### Buttons and LEDs

The tactile switches are repurposed from existing 24mm arcade buttons from [AliExpress](https://www.aliexpress.com/item/32874682493.html?spm=a2g0o.productlist.0.0.6b03142bBILB4E&algo_pvid=42ba1691-f4a0-4e80-a80d-a1f21afd00f7&algo_exp_id=42ba1691-f4a0-4e80-a80d-a1f21afd00f7-0&pdp_ext_f=%7B%22sku_id%22%3A%2265612460032%22%7D&pdp_npi=2%40dis%21EUR%21%212.69%212.69%21%213.18%21%21%402100bde316559863455961959e85d2%2165612460032%21sea) at $0.27 per piece for a total cost of 20x0.27=$5.4.

The WS2812 LEDs were cut from a strip of LEDs from [AliExpress](https://www.aliexpress.com/item/32682015405.html?spm=a2g0o.productlist.0.0.20e239a45RQKCh&algo_pvid=c0467158-fecc-431d-a8c0-2c4c0795a74e&algo_exp_id=c0467158-fecc-431d-a8c0-2c4c0795a74e-0&pdp_ext_f=%7B%22sku_id%22%3A%2212000026799811814%22%7D&pdp_npi=2%40dis%21EUR%21%2115.51%2114.58%21%21%21%21%402100bde316559864263835331e8682%2112000026799811814%21sea) at $0.062 per piece, for a total cost of 20x0.062=$1.24.

##### Enclosure and wiring

For the enclosure I used an estimated 2m^2 of 3mm thick multiplex at $18 per m^2, for a total of $36,-
The wiring is estimated to be a total of $5,-.

The total cost of materials of the device would be an estimate $60,-. The most efficient way to cut the costs would be to more economically cut the slices of the enclosure from the available wooden plates.

### Processes

The body of the instrument is designed in Autodesk Fusion 360. The resulting model is sliced in "Slicer for Fusion". Each slice is lasercut and the lasercut pieces are stacked together to produce the body.

Parts of the device, such as new caps for the arcade buttons and knobs for the rotary encoders will be 3d printed.

Electronics will be mounted on a plate that will snugly fit into the body using M3 nuts and bolts and standoffs.

## Definition of done

There will be a USB midi instrument that will consist of two circular keyboards. One that plays preset chord progressions and one that plays notes that are limited to the those that play well alongside the chord that is currently played. Pressure sensors can alter the properties of the sound after notes are played.

## Inspiration

On the limited musical variation in modern pop songs
- [Pachelbel Rant](https://www.youtube.com/watch?v=JdxkVQy7QLM)
- [Axis of Awesome - 4 Four Chord Song (with song titles)](https://www.youtube.com/watch?v=5pidokakU4I)

On the conditioning by Hollywood movies to associate specific chord progressions with emotions
- [How to Imitate a Whole Lot of Hollywood Film Music In Four Easy Steps](https://www.youtube.com/watch?v=YSKAt3pmYBs)

On the massive landscape of combinations of notes that can be interpreted as melodies
- [Copyrighting all the melodies to avoid accidental infringement | Damien Riehl | TEDxMinneapolis](https://www.youtube.com/watch?v=sJtm0MoOgiU)

On how to perceive music in terms of composition
- [The transformative power of classical music | Benjamin Zander](https://www.youtube.com/watch?v=r9LCwI5iErE)
