---
title: "Week17: Invention, Intellectual Property, and Income"
date: 2022-06-03T00:40:00+00:00
image: "images/week17.jpg"
author: "Bas Pijls"
tags: []
categories: ["assignments"]
draft: false
toc: true
p5: true
---

## Final project, Slide and video

If the final project turns out as I imagined it and eventually proves to be useful I might want to think about ways to generate income with, or direct attention to this product. 

This is how it turned out:

|![](/presentation.png)|<video controls width=450><source src="/presentation.mp4" type="video/webm"></video>|
|:-:|:-:|
|Slide for the final project|Final project video|



## Plan for dissemination

During the FabAcademy I started some nice projects that I might revisit in the future. Probably as a hobby, but some might have enough potential to start a small business. At this point I have no clear plans to start a business.

All projects I have done are trivial in a certain way. There is no high-tech cutting edge science involved. It's just a combination of existing technologies used in combinations that didn't exist before. Therefore, patenting any of these ideas would make no sense. Anyone can make an [RGBeacon](https://hackaday.com/2022/05/11/easy-network-config-for-iot-devices-with-rgbeacon/) or build chord progressions in a [midi controller](https://fabacademy.org/2022/labs/waag/students/bas-pijls/presentation.mp4). A patent on any of these projects would only lend me the opportunity to litigate when a patent is infringed. I'm not a lawyer and I never will be and I don't want to spend time in court trying to get companies to pay me for what is essentially something that anyone can make.

### Selling products

To start a business with any of the things made during this cycle it would have to be to produce and sell the actual products. This will lead to a ton of work getting a quality control system to ensure the quality of the devices I sell is compliant with the EU and US law. Maybe at some point I will sell small batches of any product in an etsy or tindy store. 

### Selling services

Another way to start a business is not to sell products itself but to sell services that involve the products. You might be able to hire me in the future to install giant [RGBeacons](https://fabacademy.org/2022/labs/waag/students/bas-pijls/blog/week14/) at festivals, or create custom structures using the[ press-fit-kit generator](https://fabacademy.org/2022/labs/waag/students/bas-pijls/blog/week3/). 

### Teach

The biggest chance though is that I use my FabAcademy experience to grow as a teacher, which is my current job. Using the products I made as inspiration for workshops and projects my students will work on.

## Licensing

If patents are not interesting and I have no real plan to sell any products, I might as well release all my work under an open source license. In a way I will have to, because most of my work makes use of other open source products. There are many open source licensing models to choose from.

At the start of the project I put the string

```
CC BY-NC-SA 4.0
```

in the footnote of any HTML page. This stands for a [Creative Commons Share-Alike Attribution NonCommercial](https://creativecommons.org/licenses/by-sa/4.0/) license. It is ok for everybody to use my work as long as the acknowledge me and share it. Per default this license does not grant the rights to use the work in a commercial product. To do this, a company will have to contact me and I can decide wether I grant permission, based on my own plans with my work.

