
WebSocketDemo = function (s) {

    var socket;
    let message = "";
    let pickedColor;

    s.setup = function () {
        s.createCanvas(400, 400);
        s.fill(255);
        // add a button to open the websocket
        s.createSpan('<br>').parent('websocketUI');
        let openButton = s.createButton('open websocket').parent('websocketUI');

        // brightness slider
        s.createSpan('<br>brightness: ').parent('websocketUI');
        brightnessSlider = s.createSlider(0, 255, 100).parent('websocketUI');

        s.noStroke();
        s.colorMode(s.HSB, 255);
        s.background(0);

        openButton.mousePressed(() => {
            socket = new WebSocket('wss://socketsbay.com/wss/v2/1/demo/');

            socket.onopen = () => {
                socket.send('Hello!');
                message = 'Client notified socket has opened';
            };
            socket.onclose = function (event) {
                message = 'Client notified socket has closed';
            };
            socket.onmessage = function (event) {
                message = 'Client received a message: ' + event.data;
            }
        });

        // add a button to close the websocket
        s.createSpan('<br>').parent('websocketUI');
        let closeButton = s.createButton('close websocket').parent('websocketUI');
        closeButton.mousePressed(() => {
            socket.close();
        });

    };

    s.draw = function () {
        s.background(0);
        s.text(message, 50, 50);

        s.background(0);

        s.colorMode(s.HSB, 255);
        let w = s.width / 255;
        let h = s.height / 255;
        for (let iColumn = 0; iColumn < 255; iColumn += 4) {
            for (let iRow = 0; iRow < 255; iRow += 4) {
                s.fill(iColumn, iRow, brightnessSlider.value());
                s.rect(iColumn * w, iRow * h, w * 5, h * 5);
            }
        }

        // read the color from the canvas
        // if mouse is pressed and moude position is within the canvas
        if (s.mouseIsPressed && s.mouseX < s.width && s.mouseY < s.height) {
            s.colorMode(s.RGB, 255);
            pickedColor = s.get(s.mouseX, s.mouseY);
            s.fill(pickedColor);
            s.circle(s.mouseX, s.mouseY, 100);

        }
    }

    s.mouseReleased = function () {
        let redByte = s.red(pickedColor);
        let greenByte = s.green(pickedColor);
        let blueByte = s.blue(pickedColor);
        let packet = [redByte, greenByte, blueByte, 101];
        if (socket.readyState !== WebSocket.CLOSED) {
            socket.send(packet);
        }
    }

};

if (document.getElementById('websocketCanvas')) {
    let websocketCanvas = new p5(WebSocketDemo, 'websocketCanvas');
}
