/*
   MIDIUSB_test.ino

   Created: 4/6/2015 10:47:08 AM
   Author: gurbrinder grewal
   Modified by Arduino LLC (2015)
*/

#include "MIDIUSB.h"
#include <Wire.h>

void setup() {
  Wire.begin(0X1);                // join i2c bus with address #4
  Wire.onReceive(receiveEvent); // register event
  
  SerialUSB.begin(115200);
  Serial.begin(31250);
}

// function that executes whenever data is received from master
// this function is registered as an event, see setup()
void receiveEvent(int howMany)
{
    
    uint8_t command = Wire.read();
    uint8_t channel = Wire.read();
    uint8_t note = Wire.read();
    uint8_t velocity = Wire.read();

    SerialUSB.println("gotMidi");
    SerialUSB.print(command, HEX); SerialUSB.print(" ");
    SerialUSB.print(channel, HEX); SerialUSB.print(" ");
    SerialUSB.print(note, HEX); SerialUSB.print(" ");
    SerialUSB.print(velocity, HEX); SerialUSB.print("\n");
    
    midiEventPacket_t midiPacket = {command, channel, note, velocity};
    MidiUSB.sendMIDI(midiPacket);
    MidiUSB.flush();
    Serial.write((uint8_t *)&midiPacket, 4);
}

void loop() {

}
