// NeoPixel Ring simple sketch (c) 2013 Shae Erisson
// released under the GPLv3 license to match the rest of the AdaFruit NeoPixel library

#include <tinyNeoPixel.h>

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN            2

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS      17

// When we setup the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
// Note that for older NeoPixel strips you might need to change the third parameter--see the strandtest
// example for more information on possible values.
tinyNeoPixel pixels = tinyNeoPixel(NUMPIXELS, PIN, NEO_RGB);

int delayval = 10; // delay for half a second
 uint32_t aColor = 0;
void setup() {
  Serial.begin(115200);
  pixels.begin(); // This initializes the NeoPixel library.
  pixels.setBrightness(100);

   aColor = pixels.Color(255,0,0);
}

uint32_t lerpColor(uint32_t c0, uint32_t c1, uint8_t t) {
  uint32_t result = 0;
  uint8_t r0 = (c0 & 0x00FF0000) >> 16 ;
  uint8_t r1 = (c1 & 0x00FF0000) >> 16 ;
  uint8_t g0 = (c0 & 0x0000FF00) >> 8;
  uint8_t g1 = (c1 & 0x0000FF00) >> 8;
  uint8_t b0 = (c0 & 0x000000FF) >> 0;
  uint8_t b1 = (c1 & 0x000000FF) >> 0;

//  Serial.print(r0); Serial.print(" "); Serial.print(g0); Serial.print(" "); Serial.println(b0); 
//  Serial.print(r1); Serial.print(" "); Serial.print(g1); Serial.print(" "); Serial.println(b1); 

  result |= (uint32_t)((((255 - t) * r0 + t * r1) / 255)) << 16; 
  result |= (uint32_t)((((255 - t) * g0 + t * g1) / 255)) << 8;
  result |= (uint32_t)((((255 - t) * b0 + t * b1) / 255)) << 0;

  

  return result;

}

uint32_t red = 0x00FF0000;
uint32_t white = 0x00FFFFFF;

void loop() {
  uint16_t rawSensorValue = analogRead(4);
  uint8_t sensorValue = map(rawSensorValue, 1024, 80, 0, 255);
  uint32_t colorValue = lerpColor(red, white, sensorValue);
   Serial.println(rawSensorValue);
  //  Serial.print("\t");  
  // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
  pixels.setPixelColor(0, colorValue); // Moderately bright green color.

  pixels.show(); // This sends the updated pixel color to the hardware.

  delay(delayval); // Delay for a period of time (in milliseconds).


}
