
#include "mario.h"
#include <Adafruit_NeoPixel.h>

#define LEDPIN        6
//Adafruit_NeoPixel led(1, LEDPIN, NEO_RGB + NEO_KHZ800);

uint32_t colors[] = {
  0xFF0000,
  0x00FF00,
  0x0000FF,
  0xFF00FF,
  0xFFFF00,
  0x00FFFF
};
uint8_t iColor = 0;

#include <Wire.h>

void setup() {
  Wire.begin();  // join i2c bus (address optional for master)
  Serial.begin(115200);

  for (int iSlave = 1; iSlave < 9; iSlave++)
    stopNote(iSlave);
    
//  led.begin();
//  led.clear();
//  led.show();
}

#define BASE_FREQUENCY 440
#define BASE_PITCH 69
double toFrequency(double incoming_note) {
  return BASE_FREQUENCY * pow(2.0, (incoming_note - BASE_PITCH) / 12.0);
}

void sendColor(uint8_t address, uint32_t color) {
  Wire.beginTransmission(address);  // transmit to device #8
  Wire.write('C');
  Wire.write((uint8_t *)&color, 4);
  Wire.endTransmission();  // stop transmitting
}

void sendNote(uint8_t address, uint16_t frequency) {
  Wire.beginTransmission(address);
  Wire.write('P');
  Wire.write((uint8_t *)&frequency, 2);
  Wire.endTransmission();  // stop transmitting
  sendColor(address, colors[iColor]);
  iColor = (iColor + 1) % 6;
}

void stopNote(uint8_t address) {
  Wire.beginTransmission(address);
  Wire.write('S');
  Wire.endTransmission();  // stop transmitting
}

uint16_t iScore = 0;
double freq = 0;
int32_t wait = 0;

uint8_t readScoreByte() {
  return score[iScore++];
}

uint16_t elapsedMillis = 0;
uint32_t pMillis = 0;
uint32_t cMillis = 0;
uint8_t transpose = 0;
void loop() {
  
  cMillis = millis();
  elapsedMillis = cMillis - pMillis;
  wait -= elapsedMillis;
  
  if (wait <= 0) {
    uint8_t scoreByte = readScoreByte();
    uint8_t msNibble = (scoreByte & 0xF0) >> 4;
    uint8_t lsNibble = (scoreByte & 0x0F);

    switch (msNibble) {
      case 0x09:
        sendNote(lsNibble, toFrequency(readScoreByte() + transpose));
        //Serial.println(String("play ch") + lsNibble);
        break;
      case 0x08:
        stopNote(msNibble);
        //Serial.println(String("stop ch") + lsNibble);
        break;      
      case 0:
        wait = (uint16_t)lsNibble << 8 | readScoreByte();
        //Serial.println(String("wait for ") + wait + "ms");
        break;
      case 0xF0:
        iScore = 0;
        break;
      default:
        break;
    }
  }
  pMillis = cMillis;
}
