
#define baseFreq 440
#define basePitch 69

int16_t toFrequency(int16_t incomingNote) {
  int16_t offset = (incomingNote-basePitch);
  offset = offset<0 ? offset-12 : offset; 
  int8_t octave = offset/12;
  int8_t note = abs(offset%12);
  uint16_t octavePitch = octave > 0 ? 440<<octave : 440 >> abs(octave);
  uint16_t nextOctave = octavePitch >> 1;  
  uint16_t toneIncrement = (nextOctave - octavePitch)/12;
  Serial.println(toneIncrement);Serial.print('\t');
  Serial.println(toneIncrement);Serial.print('\t');
  Serial.println(toneIncrement);Serial.print('\t');
  return octavePitch + toneIncrement*note;
}


void setup() {
  Serial.begin(115200);
}

uint8_t note = 0;

void loop() {
  // put your main code here, to run repeatedly:
  note++;

  Serial.print(note-basePitch); Serial.print('\t');
  Serial.print(note); Serial.print('\t');
  Serial.print(toFrequency(note)); Serial.print('\n');
  delay(100);
}
