#include <tinyNeoPixel_Static.h>
#include <Wire.h>


#define LED_PIN 1
#define SPEAKER_PIN 0
#define NUMPIXELS      1
byte pixels[NUMPIXELS * 3];
tinyNeoPixel leds = tinyNeoPixel(NUMPIXELS, LED_PIN, NEO_RGB, pixels);
uint8_t midiNote, duration;
uint8_t ledTriggered = false;
uint8_t toneTriggered = false;
uint8_t r, g, b;

uint16_t toFrequency(uint8_t incomingNote) {
  uint16_t baseFreq = 440;
  uint8_t basePitch = 69;
  return baseFreq * (uint16_t)1<<(incomingNote - basePitch)  / 12;
}

void setup() {
  pinMode(LED_PIN, OUTPUT);
  pinMode(SPEAKER_PIN, OUTPUT);
  Wire.begin(0x04);
  Wire.onReceive(receiveEvent); // register event
  //  leds.clear();
  //  leds.show();

}

void loop() {
  if (toneTriggered) {
    toneTriggered = false;
    tone(SPEAKER_PIN, midiNote, duration * 100);
  }

  //  if (ledTriggered) {
  //    leds.setPixelColor(0, leds.Color(r, g, b));
  //    leds.show();
  //  }

}

void receiveEvent(int howMany) {

  uint8_t command = Wire.read();

  switch (command) {
    case 'C':
      ledTriggered = true;
      //      r = Wire.read();
      //      g = Wire.read();
      //      b = Wire.read();


      break;
    case 'P':
      midiNote = Wire.read();
      duration = Wire.read();
      toneTriggered = true;
      break;
  }
}
