#include <tinyNeoPixel_Static.h>
#include <Wire.h>


#define LED_PIN 1
#define SPEAKER_PIN 0
#define NUMPIXELS      1
#define ADDRESS 8
byte pixels[NUMPIXELS * 3];
tinyNeoPixel leds = tinyNeoPixel(NUMPIXELS, LED_PIN, NEO_RGB, pixels);
volatile uint16_t frequency, duration;
volatile uint8_t ledTriggered = false;
volatile uint8_t toneTriggered = false;
volatile uint8_t r, g, b;

void setup() {
  pinMode(LED_PIN, OUTPUT);
  pinMode(SPEAKER_PIN, OUTPUT);
  Wire.begin(ADDRESS);
  Wire.onReceive(receiveEvent); // register event
  leds.clear();
  leds.setBrightness(10);
  leds.show();

}

void loop() {
  if (toneTriggered) {
    toneTriggered = false;
    tone(SPEAKER_PIN, frequency);
  }

  if (ledTriggered) {
    leds.setPixelColor(0, leds.Color(r, g, b));
    leds.show();
    ledTriggered = false;
  }

}

void receiveEvent(int howMany) {

  uint8_t command = Wire.read();

  switch (command) {
    case 'C':
      ledTriggered = true;
      r = Wire.read();
      g = Wire.read();
      b = Wire.read();
      break;
    case 'P':
      frequency = Wire.read() + Wire.read() * 256;
      toneTriggered = true;
      break;
    case 'S':
      noTone(SPEAKER_PIN);
      break;
  }
}
