// Constructs a 2d beam made of continuous curves
module bone(w=20, h=100, x = 5, isStraight=false){
    
       // Draw the beam with two circles at the ends
       difference(){
        hull(){
            translate([0, h/2, 0]) circle(d = w);
            translate([0, -h/2, 0]) circle(d = w);
        }
       
        rSmall = w/2;
        // Coice to make it xtraight
        if (!isStraight && x > 0 && x < w/2){
            // Determine the radius of the circle when it is at x units from the center line
           // radius = sqrt((h/2)^2 + (x)^2)-w/2;
            
            radius = ((h)^2 - 4*rSmall^2 + 4*x^2)/(8*rSmall - 8*x);
            
            // Subtract large circle from either side
            translate([-x-radius, 0, 0])
                circle(r=radius, $fn=100);
            translate([x+radius, 0, 0])
                circle(r=radius, $fn=100);
        }
    }
}

//bone(10,50,2.5, false);