ArrayList<PImage> images = new ArrayList<PImage>(); 
String imageFolder = "waag_shaded";

PGraphics circleAnim; 

void setup() {
  size(1000, 1000, P2D);

  circleAnim  = createGraphics(2500, 2500);
  
  for (int iFrame=1; iFrame<25; iFrame++) {
    String fileName = (iFrame<10 ? "000" + iFrame : "00" + iFrame) + ".jpg";
    images.add(loadImage(imageFolder + "//" + fileName));
  }
  imageMode(CENTER);
  circleAnim.beginDraw();
  circleAnim.background(0);
  circleAnim.imageMode(CENTER);
  println(circleAnim);
  circleAnim.translate(circleAnim.width/2, circleAnim.height/2);
  for (int iImage=0; iImage<24; iImage++) {
    //  int iImage = frameCount%24;
    float imageAngle = (2*PI)/24.0 * (float)iImage;
    PImage anImage = images.get(iImage);
    println(iImage);

    strokeWeight(3);
    circleAnim.noFill();
    circleAnim.stroke(255);
    circleAnim.circle(0, 0, circleAnim.width);
    circleAnim.noStroke();
    circleAnim.pushMatrix();       
    circleAnim.rotate(imageAngle);
    circleAnim.translate(0, 900);
    circleAnim.scale(0.3);    
    circleAnim.image(anImage, 0, 0);
    circleAnim.scale(1.0);
    circleAnim.translate(0, 700);
    circleAnim.fill(255);
    circleAnim.circle(0,0,300);
    circleAnim.popMatrix();    
  }
  circleAnim.endDraw();
  
  circleAnim.save(imageFolder + "_anim_disc.png");
  frameRate(60);
}

float angle = 0;
float angleOffset = 0;
float rotationSpeed = 1.5;
void draw() {
  background(0);
  angle+=rotationSpeed;
  angleOffset += rotationSpeed;
  if (angleOffset>=15) {
    
    angleOffset=0; 

    pushMatrix();
    translate(-800, height/2);
    rotate(angle/180 * 2 * PI);

    scale(1);
    image(circleAnim, 0, 0);
    
    popMatrix();
  }
}
