static class C {
  // Serial port settings
  static final boolean SUPPORT_SERIAL = false;
  static final String SERIAL_PORT = "/dev/cu.usbserial-14210";
  static final int SERIAL_BAUDRATE = 115200;

  // Set VERBOSE to true to output diagnostics in the console
  static final boolean VERBOSE = true;

  // Parameters for the visualisation
  static final float DRAW_ZOOM_FACTOR = 1.4;
  static final PVector DRAW_CENTER = new PVector(400, 300);
  static final float GRAPH_HEIGHT = 600;
  static final float GRAPH_SCALE = 200;

  // Put the gcode file in the ./data folder
  //static final String GCODE_FILENAME = "waag_shaded_anim_disc.nc";
  static final String GCODE_FILENAME = "fish.nc";

  // Machine dimensions and configuration
  static final float DISC_RADIUS = 140;
  // disk radius set to max radius drawing; radius drawing center = 120
  static final float ARM_RADIUS = 180;
  static final PVector DISC_CENTER = new PVector(0, 0);
  static final PVector ARM_CENTER = new PVector(-ARM_RADIUS, 0);
  static final float DEMO_SQUARE_SIZE = 75;

  // Constants (don't touch) 
  static final byte DISC_MOTOR = 0;
  static final byte ARM_MOTOR = 1;
  static final int BUFFSIZE = 7;

  // Motor and speed settings
  static final int MIN_INTERVAL = 200;
  static final int STEPS_PER_REV = 6400;
  static final float RAD_PER_STEP = ((2*PI)/6400)*0.91;
  //static final float RAD_PER_STEP = ((PI*step_angle/180)/microstep_value);
  //step per rev disk = 6400; steps per rev motor = 3200
  //rad per step motor = 2*π*1.8/180 = 0.0019635
  //6400 steps should be 12,56637 = 2 full motor revs & 1 full disk rev
  static final int DEMO_STEPINTERVAL = 300;

  // The amount of milliseconds between motor commands
  static final int THREAD_SLEEP_INTERVAL = 10;

  // The amount of microseconds between motor steps
  static final int ARM_STEP_INTERVAL = 300;
  static final int DISC_STEP_INTERVAL = 300;

  // Curve resampling parameters

  // the interpolation step to sample the curve for vertices
  static final float RESAMPLE_DENSITY = 0.00001;
  // The maximum distance between vertices
  static final float RESAMPLE_MAX_DIST = 0.5;
}
