// Reads gcode from a file and puts vertices in a list
class GCode {

  String [] fileStrings;
  ArrayList<PVector> vertices;

  GCode(String fileName) {    
    fileStrings = loadStrings(fileName);
    vertices = new ArrayList<PVector>();

    for (String fileString : fileStrings) {
      // Ony parse strings larger than 20 characters
      if (fileString.length()>20) {        
        String [] parts = fileString.split("G|X|Y|Z");

        // Only generate vectors if string is split into 5 parts
        if (parts.length==5) {
          PVector newVector = new PVector(Float.parseFloat(parts[2]), Float.parseFloat(parts[3]), Float.parseFloat(parts[4]));         
          vertices.add(newVector);
        }
      }
    }  
  }
}
