blockWidth=145;
blockDepth=95;
blockHeight=45;

ridgeWidth=5;
ridgeEdgeDistance=5;
ridgeHeight=5;

registerHeight = 6;
moldWidth=blockWidth/2;
moldDepth=blockHeight/3.5;
echo(moldDepth);
airCanalWidth = 5;
airCanalHeight = 0.6;

pocketHeight = 0.5;

module waxBlock(){
    translate([0,0,-blockHeight/2])
    cube([blockWidth, blockDepth, blockHeight], center = true);
}

module moldBlock(){
    translate([-moldWidth+ridgeWidth, -blockDepth/2 + ridgeWidth,-moldDepth])
        cube([moldWidth-1.5*ridgeWidth, blockDepth-2*ridgeWidth, blockHeight]);
}

module airHoles(){
    
    intersection(){
    
        union(){
            color([1,1,0.5]){
                translate([-45, 11+airCanalWidth/2, -moldDepth]) 
                    rotate([0,0,180])
                        cube([40,airCanalWidth, airCanalHeight]);

                translate([-50.5, -21+airCanalWidth/2, -moldDepth]) 
                    rotate([0,0,190])
                        cube([40,airCanalWidth, airCanalHeight]);
                
//        translate([-48, 11, -moldDepth])
//                rotate([0,90,180])
//                        translate([-airCanalWidth/2,-airCanalHeight/2,0])
//                            cube([airCanalHeight,airCanalWidth,40]);
//
//    
//        translate([-49, -21, -moldDepth])
//                rotate([0,90,180])
//                        translate([-airCanalWidth/2,-airCanalHeight/2,0])
//                            cube([airCanalHeight, airCanalWidth,40]);

            }
//        translate([-40, -34, -moldDepth])
//                rotate([0, 90, 0])
//                        cylinder(d=1.5, h=40, $fn=10);
//        
//        translate([-15, 14, -moldDepth])
//                rotate([0, 90, 0])
//                        cylinder(d=1.5, h=50, $fn=10);
            
//        translate([-19, 4, -moldDepth])
//                rotate([0, 90, 0])
//                        cylinder(d=1.5, h=50, $fn=10);
//
//        translate([-20, -13, -moldDepth])
//                rotate([0, 90, 0])
//                        cylinder(d=1.5, h=50, $fn=10);
        }
        moldBlock();
    }

}

module pockets(){
    color([1,0.5,0.5]){
        translate([-40,-4,-moldDepth]) cylinder(d=15, h=pocketHeight);
        translate([-45,-30,-moldDepth]) cylinder(d=15, h=pocketHeight);
        translate([-17,12,-moldDepth]) cylinder(d=20, h=pocketHeight);
        translate([-23,-15,-moldDepth]) cylinder(d=12, h=pocketHeight);
    } 
}

module registers(){
    color([0.5,1.0, 0.5]){
        translate([-10,-8,-moldDepth]) cylinder(d=8, h=registerHeight);
        translate([-12,30, -moldDepth]) cylinder(d=10, h=registerHeight);
        translate([-30, 33, -moldDepth]) cylinder(d=8, h=registerHeight);
        translate([-60, 22, -moldDepth]) cylinder(d=7, h=registerHeight);
        translate([-18,-31,-moldDepth]) cylinder(d=13, h=registerHeight);
        translate([-57, -2,-moldDepth]) cylinder(d=13, h=registerHeight);
        translate([-60, -33,-moldDepth]) cylinder(d=8, h=registerHeight);
    }
}

module fish(){
    color([0.5, 0.5, 1.0]){
        translate([-39,6,-moldDepth])
            scale(0.8)
                rotate([0,0,45])
                    import("magic_fish.stl");
        }
}

module pouringHole(){

    intersection(){
        waxBlock();
            color([1,0.5,0]){
        translate([-54,29,-moldDepth])
            rotate([90,0,45])
                translate([0,0,-50])
                    cylinder(d1=40, d2=3,h=50);
            }
    }

}

difference(){
    waxBlock();
    moldBlock();
    
    mirror([-1,0,0]){
        moldBlock();
        translate([0,0,-registerHeight])
            registers();
    }
}


fish();
registers();
pouringHole();
airHoles();
pockets();

mirror([-1,0,0]){
    fish();
    pouringHole();
    airHoles();
    pockets();
}

