import processing.svg.*;


float circleDiameter = 40;
int nCols, nRows, nCircles;

float d1Factor = 1.02;
float d2Factor = 0.7;

void setup(){
   size(600, 800);
  noLoop();
  noStroke();
  beginRecord(SVG, "filename.svg");
  
  //noStroke();  
  nCols = (int)(width/circleDiameter);
  nRows = (int)(height/circleDiameter);
  nCircles = nRows*nCols;
}

void draw(){
  background(255);
  fill(0);
  for (int iRow = 0; iRow<nRows; iRow++){
    float y = circleDiameter/2 + circleDiameter*iRow;
    for (int iCol=0; iCol<nCols; iCol++){
      float x = circleDiameter/2 + circleDiameter*iCol;      
      circle(x,y, circleDiameter * d1Factor);      
    }
  }
  
  fill(255);
  for (int iRow = 0; iRow<nRows; iRow++){
    float y = circleDiameter/2 + circleDiameter*iRow;
    for (int iCol=0; iCol<nCols; iCol++){
      float x = circleDiameter/2 + circleDiameter*iCol;      
      circle(x, y, circleDiameter*d2Factor);      
      
      float [] angles = {0, PI/2, PI, 3*(PI/2)};
      //float [] angles = {PI/2, PI/2, PI/2, PI/2};
      float angle = angles[floor(random(0,4))];  
            
      pushMatrix();
      translate(x, y);
      rotate(angle);
      translate(0, -circleDiameter*d2Factor/2);
      
      rect(0, 0, circleDiameter, circleDiameter*d2Factor);
      popMatrix();               
    }
  }
    endRecord();

}
